#ifndef GL_ES
#define highp
#define mediump
#define lowp
#endif

//precision mediump float;

// vb attribute
attribute mediump vec4 POSITION; 
attribute mediump vec2 TEXCOORD0;

// vb output
varying mediump vec2 texcoord0; 
varying mediump vec2 texcoord1; 

// parameter
uniform mediump mat4 matrixMVP;
uniform lowp vec4 color; 
uniform lowp mat4 param;

// 与Default.vs不同的是，这里不会去将z值拍扁成1层
void main()
{	
	// 默认vs采取默认操作，位置变换，uv输出
	mediump vec4 out_pos = matrixMVP * POSITION;
	gl_Position = out_pos;
	texcoord0 = TEXCOORD0;
	texcoord1 = vec2(POSITION.x / param[2].z + 0.5,POSITION.y / param[2].w + 0.5);
}