#ifndef GL_ES
#define highp
#define mediump
#define lowp
#endif

//precision mediump float;

// vb input
attribute mediump vec4 POSITION;
attribute mediump vec2 TEXCOORD0;
attribute lowp vec4 COLOR;

// vb output
varying mediump vec2 texcoord0;
varying lowp vec4 vcolor;

// parameter
uniform mediump mat4 matrixMVP;

void main()
{
	// 输出位置
	gl_Position = matrixMVP * POSITION;
	
	// 输出uv
	texcoord0 = TEXCOORD0;
	
	// 输出顶点色
	vcolor = (COLOR / 255.0);
}