#ifndef GL_ES
#define highp
#define mediump
#define lowp
#endif

//precision mediump float;

// vb input
attribute mediump vec4 POSITION;
attribute mediump vec2 TEXCOORD0;

// vb output
varying mediump float layer;
varying mediump vec2 texcoord0;

// parameter
uniform mediump mat4 matrixMVP;

void main()
{
	// 位置输出，z值用于picc5层次
	gl_Position = matrixMVP * vec4(POSITION.x, POSITION.y, POSITION.z, 1.0); 
	layer = POSITION.w;
	
	// uv输出
	texcoord0 = TEXCOORD0;
}