#ifndef GL_ES
#define highp
#define mediump
#define lowp
#endif

//precision mediump float;

// vs input
attribute mediump vec4 POSITION;
attribute lowp vec4 COLOR;

// vs ouput
varying lowp vec4 vcolor;

// parameter
uniform mediump mat4 matrixMVP;

void main()
{
	// 位置输出
	mediump vec4 out_pos = matrixMVP * POSITION;
	gl_Position = out_pos;
	
	lowp vec4 color = (COLOR / 255.0);
	
	// 顶点色输出
	vcolor = color.bgra;
}