#ifndef GL_ES
#define highp
#define mediump
#define lowp
#endif


//precision mediump float;

// vb input
attribute mediump vec4 POSITION;
attribute lowp vec2 TEXCOORD0;
attribute lowp vec4 COLOR;

// vb output
varying lowp vec2 texcoord0;
varying lowp vec4 vcolor;

// parameter
uniform mediump mat4 matrixMVP;
uniform lowp vec4 color;

void main()
{
	// 输出位置
	vec4 out_pos = matrixMVP * POSITION;
	// 把z值拍扁成一层
	out_pos.z = matrixMVP[3].z;
	gl_Position = out_pos;
	
	// 输出uv
	texcoord0 = TEXCOORD0;
	
	// 输出顶点色
	vcolor = (COLOR / 255.0) * color;
}