#ifndef GL_ES
#define highp
#define mediump
#define lowp
#endif

//precision mediump float;

// vb attribute
attribute mediump vec4 POSITION; 
attribute lowp vec2 TEXCOORD0;

// vb output
varying lowp vec2 texcoord0; 

// parameter
uniform mediump mat4 matrixMVP;
uniform lowp vec4 color; 

void main()
{	
	// 默认vs采取默认操作，位置变换，uv输出
	mediump vec4 out_pos = matrixMVP * POSITION;
	// 把z值拍扁成一层
	out_pos.z = matrixMVP[3].z;
	gl_Position = out_pos;
	texcoord0 = TEXCOORD0;
}